Last Comment Bug 1118339 - Update https://www.mozilla.org/en-US/firefox/channel/#aurora for Android ARM links to reflect new FTP directory changes
: Update https://www.mozilla.org/en-US/firefox/channel/#aurora for Android ARM ...
Status: VERIFIED FIXED
[kb=1622077]
:
Product: www.mozilla.org
Classification: Other
Component: Bedrock (show other bugs)
: Production
: ARM Android
-- normal
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://nightly.mozilla.org/
Depends on: 1108456 1116568 1117241
Blocks: download-buttons splitapk
  Show dependency treegraph
 
Reported: 2015-01-06 09:34 PST by Richard Newman [:rnewman]
Modified: 2015-01-20 15:38 PST (History)
12 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot, changes applied (419.04 KB, image/png)
2015-01-12 08:01 PST, Kohei Yoshino [:kohei]
no flags Details
pull request (44 bytes, text/x-github-pull-request)
2015-01-12 08:02 PST, Kohei Yoshino [:kohei]
no flags Details | Review | Splinter Review

Description User image Richard Newman [:rnewman] 2015-01-06 09:34:28 PST
This is exactly the same as Bug 1108456, but for Aurora Android ARMv7 downloads.

splitapk will be rolling into Aurora 37 in a week. Apologies for the late notice; this didn't occur to me.

See also Bug 1117241, which tracks actually generating the right APKs.
Comment 1 User image Aaron Train [:aaronmt] 2015-01-06 09:44:09 PST
Aurora scraper script used I think? https://github.com/mozilla/bedrock/blob/master/bedrock/mozorg/helpers/download_buttons.py
Comment 2 User image Kohei Yoshino [:kohei] 2015-01-06 09:50:05 PST
I'll send a pull request.
Comment 3 User image Kohei Yoshino [:kohei] 2015-01-06 10:25:55 PST
Because the button is small, can we just have the API 11 link?

(Just replace latest-mozilla-central-android-armv7 with latest-mozilla-central-android-api-11)
Comment 4 User image Richard Newman [:rnewman] 2015-01-06 11:18:31 PST
When I browse to the site on mobile, I get:


    [                     ]
    [ Firefox Aurora      ]
    [ for Android ARMv7   ]
    [                     ]

    x86 | Supported Devices
     What's New | Privacy



I suggest adding a "Gingerbread" link next to "x86", and changing the button sub-label to "for Android 11+ ARMv7".

(Yes, Android 11 is pretty meaningless to most people. So is ARMv7, but we have to make the distinction.)

Eventually we might need to explore a stub installer or some better dispatching method -- we have three builds now, but I can easily see us having four, five, or catching up with Facebook and having sixteen.
Comment 5 User image Kohei Yoshino [:kohei] 2015-01-12 08:01:46 PST
Created attachment 8547616 [details]
screenshot, changes applied

I guess "Android 11+" is rather confusing since it's an API version. It could be "Android 2.3+" or just "Android Honeycomb+" like the attached screenshot.
Comment 6 User image Kohei Yoshino [:kohei] 2015-01-12 08:02:20 PST
Created attachment 8547617 [details] [review]
pull request
Comment 7 User image Richard Newman [:rnewman] 2015-01-12 08:02:40 PST
wfm!
Comment 8 User image Kohei Yoshino [:kohei] 2015-01-12 08:08:15 PST
:)
Comment 9 User image Kohei Yoshino [:kohei] 2015-01-12 10:18:00 PST
Anyone knows when will the change on FTP happen? If it's midnight PST, we can schedule the change on mozilla.org.
Comment 10 User image Kohei Yoshino [:kohei] 2015-01-15 09:30:12 PST
:rnewman do you know the answer for my question?
Comment 11 User image Kohei Yoshino [:kohei] 2015-01-15 10:46:34 PST
We'll merge the change next Monday to avoid a potential link breakage.
Comment 13 User image Kohei Yoshino [:kohei] 2015-01-15 11:44:55 PST
Ah cool, so we can go today.
Comment 14 User image [github robot] 2015-01-20 15:15:00 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/9cd35b4c3bada9d2fe74640595907ee2b41aa9ba
Fix Bug 1118339 - Update https://www.mozilla.org/en-US/firefox/channel/#aurora for Android ARM links to reflect new FTP directory changes

https://github.com/mozilla/bedrock/commit/347331c4fddd3ef95913a2da3fa13638c2768e3a
Merge pull request #2640 from kyoshino/bug-1118339-android-aurora-dir

Fix Bug 1118339 - Update https://www.mozilla.org/en-US/firefox/channel/#aurora for Android ARM links to reflect new FTP directory changes
Comment 15 User image Josh Mize [:jgmize] 2015-01-20 15:38:12 PST
Verified in prod.

Note You need to log in before you can comment on or make changes to this bug.